ConPresso Community

Fragen, Antworten, Diskussionen rund um das Content Management System ConPresso

 
1 & 1 stellt php 4 und 5.2 zum 1.4.2013 ein

 
Neue Antwort erstellen    ConPresso Community Foren-Übersicht -> laufender Betrieb ConPresso 4
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 497
Wohnort: Berlin

BeitragVerfasst am: 04.12.2012 17:17    Titel: 1 & 1 stellt php 4 und 5.2 zum 1.4.2013 ein Antworten mit Zitat

Liebes ConPresso-Team,
liebe User,

ich wurde eben vom Webhoster 1&1 informiert, dass die php-Versionen 4 und 5.2 zum 1.4.2013 eingestellt werden. Ein Update der serverseitigen Software wird empfohlen...Very Happy

Da ich mehrere Webseiten bei dem Hoster laufen habe, bin ich sehr ein einer Kompatibilität von ConPresso interessiert.
In dem Schreiben wird ergänzend erwähnt, dass
Zitat:
auf PHP5.4 die Option “Register Globals” nicht mehr unterstützt wird.


Grüße aus Berlin von
Horst
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7010

BeitragVerfasst am: 04.12.2012 17:27    Titel: Antworten mit Zitat

Dann wäre PHP 5.3 eine gute Wahl, da PHP 5.4 nicht kompatibel ist.

Aber so wie es aussieht
http://hilfe-center.1und1.de/article/791789
gibt es bei denen nur noch 5.4.

Du wirst dann auf 4.1.6 updaten oder die hier vorgestellten Lösungen benutzen müssen.

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
Mr. Magpie
ConPresso-Experte


Anmeldungsdatum: 01.01.1970
Beiträge: 996
Wohnort: Wuppertal

BeitragVerfasst am: 29.12.2012 19:27    Titel: Antworten mit Zitat

Wird es keine Lösung für CPO 4.0.x geben?
_________________
Günther Ludwig, amazingBytes webdesign   

Referenzen finden Sie hier: amazingBytes webdesign - Referenzen
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7010

BeitragVerfasst am: 29.12.2012 22:48    Titel: Antworten mit Zitat

Die von mir vorgestellte Lösung geht mit allen Versionen. Habe schon einige 4.0.x Auftritte umgestellt.
_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7

 
Für dieses Posting bedanken sich die folgenden User: Mr. Magpie
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
baluo
ConPresso-Experte


Anmeldungsdatum: 14.11.2005
Beiträge: 607

BeitragVerfasst am: 07.02.2013 13:03    Titel: Antworten mit Zitat

Hallo,
nach langer Abstinenz komme ich mal wieder zu Conpresso zurück:

Wie bei hscha ist einer meiner Klienten ebenfalls von der 1und1-Umstellung auf php5.4 betroffen. Die Conpresso-Website ist 4.07.

Ich habe die Umstellung eben gerade mal probiert, aber da wird schon die Website nicht mehr aufgerufen.

Deshalb meine Fragen:
* kommt denn CPO 4.16 noch früh genug heraus, um darauf umzustellen?
* oder welche andere Möglichkeiten habe ich ohne allzu viel Programmierarbeiten?

MarkusR hat Folgendes geschrieben:
Die von mir vorgestellte Lösung geht mit allen Versionen. Habe schon einige 4.0.x Auftritte umgestellt.

* Wo, Markus, findet sich die vorgestellte Lösung, für die ich schon mal Danke sage! Gefunden habe ich einige threads mit Diskussionen zum Update von cpo4.16 und php5.4 ...

Ciao, Gerhard
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7010

BeitragVerfasst am: 07.02.2013 13:27    Titel: Antworten mit Zitat

baluo hat Folgendes geschrieben:
MarkusR hat Folgendes geschrieben:
Die von mir vorgestellte Lösung geht mit allen Versionen. Habe schon einige 4.0.x Auftritte umgestellt.

* Wo, Markus, findet sich die vorgestellte Lösung, für die ich schon mal Danke sage! Gefunden habe ich einige threads mit Diskussionen zum Update von cpo4.16 und php5.4 ...

Ciao, Gerhard

http://community.conpresso.de/viewtopic.php?p=27287#27287

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
baluo
ConPresso-Experte


Anmeldungsdatum: 14.11.2005
Beiträge: 607

BeitragVerfasst am: 07.02.2013 14:00    Titel: Antworten mit Zitat

Zitat:

http://community.conpresso.de/viewtopic.php?p=27287#27287

Seufz ...
Danke, Markus, und das heisst wohl, ich muss ein paar Stunden investieren oder aber die Website umziehen, wie du jemanden anderem vorgeschlagen hast ...

Ich melde mich dann in den nächsten Tagen wieder ... hoffentlich nach einer problemlosen Umstellung __schluck__

Gute Nacht aus Adelaide
Gerhard
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7010

BeitragVerfasst am: 07.02.2013 15:08    Titel: Antworten mit Zitat

Wieso ein paar Stunden???

"Suchen und Ersetzen" ist keine Tätigkeitsbeschreibung sondern eine Funktion aller guten Editoren.

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
baluo
ConPresso-Experte


Anmeldungsdatum: 14.11.2005
Beiträge: 607

BeitragVerfasst am: 07.02.2013 21:45    Titel: Antworten mit Zitat

MarkusR hat Folgendes geschrieben:
Wieso ein paar Stunden???

"Suchen und Ersetzen" ist keine Tätigkeitsbeschreibung sondern eine Funktion aller guten Editoren.


Also, du hast ja - wie immer - eine perfekte Beschreibung hinterlassen, mal gucken, ob das bei mir dann auch so klappt (was ja meine Hoffnung ist).

Übrigens, was ist denn mit den Hinweisen von *Balu* auf die Gefahr, dass bei diesem Vorgehen damit auch " die Platzhalter-Einstellung 'htmlspecialchars' in den parser_r* Dateien erwischt werden" (15.11.2012) und von dir über eine neue Datei, die du eingestellt hast (welche wo wie?) (14.11.2012)?

Danke, G
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7010

BeitragVerfasst am: 08.02.2013 08:37    Titel: Antworten mit Zitat

siehe 16.11.2012 und 16.1.2013.
_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
baluo
ConPresso-Experte


Anmeldungsdatum: 14.11.2005
Beiträge: 607

BeitragVerfasst am: 26.03.2013 00:10    Titel: mod_inline Antworten mit Zitat

Ich hatte auf der entsprechenden Website eine Google-map per mod_inline eingebunden. die nun nicht mehr angezeigt wird. Momentan habe ich mir mit einem iframe beholfen, aber wollte fragen, ob es eine einfache Lösung gibt, um auch die mod_inline's wieder zum Laufen zu bringen.

Danke, Gerhard
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7010

BeitragVerfasst am: 26.03.2013 00:32    Titel: Antworten mit Zitat

Eine angepasste Version, die bei 1&1 läuft...

habe dort auch die http-includes durch curl ersetzt





mod_inline_2013.zip - 23.36 KB
388 mal


_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7

 
Für dieses Posting bedanken sich die folgenden User: baluo, hscha
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7010

BeitragVerfasst am: 03.04.2013 16:48    Titel: Antworten mit Zitat

Heute ist der 3.4.2013 und bei 1&1 laufen immer noch alle alten unveränderten Webauftritte.

War das mit "1.4.2013" nur ein dummer Scherz? Aprilscherz mit Ankündigung?

Nachtrag:
In den FAQ habe ich folgendes gefunden
Zitat:
Bis zum 30.04.2013 können Sie noch PHP 4 uneingeschränkt verwenden. Im Zeitraum vom 01.05.2013 bis 01.07.2013 erfolgt schrittweise die Abschaltung dieser Version, danach bieten wir nur noch PHP 5.2 und 5.4 an. Wir empfehlen Ihnen jedoch bereits frühzeitig mit der Optimierung Ihrer Skripte bzw. dem Update Ihrer Content-Management-Systeme zu beginnen. Achten Sie dabei besonders auf eine Kompatibilität mit PHP 5.4, da wir PHP 5.2 im Herbst 2013 ebenfalls abschalten werden. Ein genaues Datum hierfür werden wir frühzeitig per E-Mail kommunizieren.

Bis Herbst hätte man sich also die Aufregung sparen können... Cool

Warum die wohl in den Mails an die Kunden gleich zweimal(!)
Zitat:
Ab dem 01.04.2013 werden wir die PHP-Versionen 4 und 5.2 nicht mehr unterstützen.

geschrieben haben?

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7

 
Für dieses Posting bedanken sich die folgenden User: baluo, Mr. Magpie
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
baluo
ConPresso-Experte


Anmeldungsdatum: 14.11.2005
Beiträge: 607

BeitragVerfasst am: 03.04.2013 22:18    Titel: Antworten mit Zitat

MarkusR hat Folgendes geschrieben:
War das mit "1.4.2013" nur ein dummer Scherz? Aprilscherz mit Ankündigung?

Nachtrag:
In den FAQ habe ich folgendes gefunden
Zitat:
Bis zum 30.04.2013 können Sie noch PHP 4 uneingeschränkt verwenden.

Bis Herbst hätte man sich also die Aufregung sparen können... Cool

Warum die wohl in den Mails an die Kunden gleich zweimal(!)
Zitat:
Ab dem 01.04.2013 werden wir die PHP-Versionen 4 und 5.2 nicht mehr unterstützen.

geschrieben haben?
Jetzt weiss ich, warum ich 1und1 verlassen will ... Ich hoffe, das tun viele andere auch!
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden
Beiträge der letzten Zeit anzeigen:   
Neue Antwort erstellen    ConPresso Community Foren-Übersicht -> laufender Betrieb ConPresso 4 Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehe zu:  
Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum herunterladen